Bug 46545 - minilogd eats all available memory
minilogd eats all available memory
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-29 07:00 EDT by Need Real Name
Modified: 2014-03-16 22:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-22 15:39:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-06-29 07:00:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:0.9.1) Gecko/20010607

Description of problem:
On several occaisions i've seen minilogd (belongs to initscritps.x-x.rpm)
use as much as 260mb ram.. The box then enters "swap hell".. and the only
thing to do is press the reset button.
when the problem occurs i'm usually running Gnome + a few gterms, samba-2.2
(rebuilt from srpm with --target=i586)  and sshd.

How reproducible:
Didn't try


Additional info:
Comment 1 Bill Nottingham 2001-06-29 10:10:49 EDT
Is syslogd running?

minilogd did have a memory cap added to it before 7.1; what version of initscripts
are you running?
Comment 2 Need Real Name 2001-06-29 10:39:34 EDT
yes.. syslogd is running, and the version of the initscripts is 5.83-1

[root@chantry /root]# ps ax | grep syslogd
  423 ?        S      0:00 syslogd -m 0
 1032 pts/0    S      0:00 grep syslogd
[root@chantry /root]# rpm -qa | grep initscripts
initscripts-5.83-1
Comment 3 Bill Nottingham 2001-06-29 10:50:36 EDT
syslogd is running at the same time as minilogd? this is *odd*.
Comment 4 David Dombek 2003-10-24 14:09:14 EDT
Okay, I was having the same problem.

minilogd sends kernel information that is logged to syslogd.  If syslogd isn't 
running, minilogd can't send it anywhere so it just queue's it up.  The queue 
is in memory.

If syslog isn't running you will have a problem.  Once you start syslog, it 
will take some time for minilog to send all the info to syslog.  At that point, 
minilogd will free memory.

If you don't care about loosing the contents of the kernel log, restarting the 
box will free the memory :-)

Do the following to check if syslog is set to run on reboot:

/sbin/chkconfig --list syslog
syslog          0:off   1:off   2:on    3:on    4:on    5:on    6:off

If it isn't set to run on reboot or dies at some point the problem will come 
back.
Comment 5 Bill Nottingham 2005-02-22 15:39:59 EST
Closing out bugs on older, no longer supported releases. Apologies for any lack
of response. Please reopen if it persists on current releases.

Note You need to log in before you can comment on or make changes to this bug.